mbed_host_tests.host_tests_plugins.module_reset_silabs.HostTestPluginResetMethod_SiLabs Class Reference
Inheritance diagram for mbed_host_tests.host_tests_plugins.module_reset_silabs.HostTestPluginResetMethod_SiLabs:

## Public Member Functions

def | __init__ (self)
def | setup (self, *args, **kwargs)
def | execute (self, capability, *args, **kwargs)
| Executes capability by name. More...
Public Member Functions inherited from mbed_host_tests.host_tests_plugins.host_test_plugins.HostTestPluginBase
def | is_os_supported (self, os_name=None)
def | print_plugin_error (self, text)
| Interface helper methods - overload only if you need to have custom behaviour. More...
def | print_plugin_info (self, text, NL=True)
| Function prints notification in console and exits always with True. More...
def | print_plugin_char (self, char)
def | check_mount_point_ready (self, destination_disk, init_delay=0.2, loop_delay=0.25, target_id=None, timeout=60)
| Waits until destination_disk is ready and can be accessed by e.g. More...
def | check_serial_port_ready (self, serial_port, target_id=None, timeout=60)
| Function checks (using mbed-ls) and updates serial port name information for DUT with specified target_id. More...
def | check_parameters (self, capability, *args, **kwargs)
| This function should be ran each time we call execute() to check if none of the required parameters is missing. More...
def | run_command (self, cmd, shell=True)
| Runs command from command line. More...
def | mbed_os_info (self)
| Returns information about host OS. More...
def | mbed_os_support (self)
| Function used to determine host OS. More...

## Public Attributes

| EACOMMANDER_CMD
Public Attributes inherited from mbed_host_tests.host_tests_plugins.host_test_plugins.HostTestPluginBase
| plugin_logger

## Static Public Attributes

string | name = 'HostTestPluginResetMethod_SiLabs'
string | type = 'ResetMethod'
list | capabilities = ['eACommander', 'eACommander-usb']
list | required_parameters = ['disk']
bool | stable = True
Static Public Attributes inherited from mbed_host_tests.host_tests_plugins.host_test_plugins.HostTestPluginBase
string | name = "HostTestPluginBase"
| Interface: More...
string | type = "BasePlugin"
list | capabilities = []
list | required_parameters = []
bool | stable = False

## Detailed Description

Definition at line 23 of file module_reset_silabs.py.

## Constructor & Destructor Documentation

## __init__()

def mbed_host_tests.host_tests_plugins.module_reset_silabs.HostTestPluginResetMethod_SiLabs.__init__ | ( |  | self | ) |

     ctor

Reimplemented from mbed_host_tests.host_tests_plugins.host_test_plugins.HostTestPluginBase.

Definition at line 32 of file module_reset_silabs.py.

## Member Function Documentation

## execute()

def mbed_host_tests.host_tests_plugins.module_reset_silabs.HostTestPluginResetMethod_SiLabs.execute | ( |  | self,
|  |  | capability,
|  | * | args,
|  | ** | kwargs
| ) |  |

Executes capability by name.

       @param capability Capability name
       @param args Additional arguments
       @param kwargs Additional arguments

       @details Each capability e.g. may directly just call some command line program or execute building pythonic function

       @return Capability call return value

Reimplemented from mbed_host_tests.host_tests_plugins.host_test_plugins.HostTestPluginBase.

Definition at line 44 of file module_reset_silabs.py.

## setup()

def mbed_host_tests.host_tests_plugins.module_reset_silabs.HostTestPluginResetMethod_SiLabs.setup | ( |  | self,
|  | * | args,
|  | ** | kwargs
| ) |  |

     Configure plugin, this function should be called before plugin execute() method is used.

Reimplemented from mbed_host_tests.host_tests_plugins.host_test_plugins.HostTestPluginBase.

Definition at line 37 of file module_reset_silabs.py.

## Member Data Documentation

## capabilities

list mbed_host_tests.host_tests_plugins.module_reset_silabs.HostTestPluginResetMethod_SiLabs.capabilities = ['eACommander', 'eACommander-usb']

static

Definition at line 28 of file module_reset_silabs.py.

## EACOMMANDER_CMD

mbed_host_tests.host_tests_plugins.module_reset_silabs.HostTestPluginResetMethod_SiLabs.EACOMMANDER_CMD

Definition at line 41 of file module_reset_silabs.py.

## name

string mbed_host_tests.host_tests_plugins.module_reset_silabs.HostTestPluginResetMethod_SiLabs.name = 'HostTestPluginResetMethod_SiLabs'

static

Definition at line 26 of file module_reset_silabs.py.

## required_parameters

list mbed_host_tests.host_tests_plugins.module_reset_silabs.HostTestPluginResetMethod_SiLabs.required_parameters = ['disk']

static

Definition at line 29 of file module_reset_silabs.py.

## stable

bool mbed_host_tests.host_tests_plugins.module_reset_silabs.HostTestPluginResetMethod_SiLabs.stable = True

static

Definition at line 30 of file module_reset_silabs.py.

## type

string mbed_host_tests.host_tests_plugins.module_reset_silabs.HostTestPluginResetMethod_SiLabs.type = 'ResetMethod'

static

Definition at line 27 of file module_reset_silabs.py.

The documentation for this class was generated from the following file:

- mbed_host_tests/host_tests_plugins/module_reset_silabs.py